<?php

declare(strict_types=1);

namespace Drupal\nuxtify_menu_icons\Plugin\Field\FieldType;

use Drupal\Core\Field\Plugin\Field\FieldType\StringItem;

/**
 * Defines the 'icon' entity field type.
 *
 * @FieldType(
 *   id = "nuxtify_menu_icons_icon",
 *   label = @Translation("Icon"),
 *   description = @Translation("Stores Iconify icon names."),
 *   default_widget = "nuxtify_menu_icons_icon_picker",
 *   default_formatter = "nuxtify_menu_icons_icon_formatter"
 * )
 */
class IconItem extends StringItem {
}
