<?php

declare(strict_types=1);

namespace Drupal\nuxtify_menu_icons\Plugin\GraphQLCompose\FieldType;

use Drupal\graphql_compose\Plugin\GraphQL\DataProducer\FieldProducerTrait;
use Drupal\graphql_compose\Plugin\GraphQLCompose\GraphQLComposeFieldTypeBase;

/**
 * {@inheritdoc}
 *
 * @GraphQLComposeFieldType(
 *   id = "nuxtify_menu_icons_icon",
 *   type_sdl = "String",
 * )
 */
class IconItem extends GraphQLComposeFieldTypeBase {

  use FieldProducerTrait;

}
